
from math import *
import os
import sys
import numpy

#name 
name = "L3_B_Sq" 

#title
title = "User model for L3_Sq"

#description
description = "Lei et al. structure factor_Porte et al."

#parameters 
parameters = [ 
                ['q3', '', 0.05, [-numpy.inf, numpy.inf], '', ''],
                ['CorrLength3', '', 40, [-numpy.inf, numpy.inf], '', ''],
             ]


def form_volume(*arg): 
    return 1.0 

def ER(*arg): 
    return 1.0 

def Iq(x , q3, CorrLength3):
    if x > 0:

        y = 1/((1/(CorrLength3**2)) + (x - q3)**2)

    else:

        y = 1

    return y

def Iqxy(x, y , q3, CorrLength3):
    return Iq(numpy.sqrt(x**2+y**2) , q3, CorrLength3)
